## WebKitDOMHTMLBaseElement WebKitDOMHTMLBaseElement |

## Functions

gchar * | webkit_dom_html_base_element_get_href ()
void | webkit_dom_html_base_element_set_href ()
gchar * | webkit_dom_html_base_element_get_target ()
void | webkit_dom_html_base_element_set_target ()

## Properties

gchar * | href | Read / Write
gchar * | target | Read / Write

## Types and Values

struct | WebKitDOMHTMLBaseElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLBaseElement

## Implemented Interfaces

WebKitDOMHTMLBaseElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_base_element_get_href ()

    gchar *
    webkit_dom_html_base_element_get_href (WebKitDOMHTMLBaseElement *self);

`webkit_dom_html_base_element_get_href` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBaseElement |

#### Returns

A gchar

### webkit_dom_html_base_element_set_href ()

    void
    webkit_dom_html_base_element_set_href (WebKitDOMHTMLBaseElement *self,
                                           const gchar *value);

`webkit_dom_html_base_element_set_href` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBaseElement |
value | A gchar |

### webkit_dom_html_base_element_get_target ()

    gchar *
    webkit_dom_html_base_element_get_target
                                   (WebKitDOMHTMLBaseElement *self);

`webkit_dom_html_base_element_get_target` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBaseElement |

#### Returns

A gchar

### webkit_dom_html_base_element_set_target ()

    void
    webkit_dom_html_base_element_set_target
                                   (WebKitDOMHTMLBaseElement *self,
                                    const gchar *value);

`webkit_dom_html_base_element_set_target` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBaseElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLBaseElement

    struct WebKitDOMHTMLBaseElement;

## Property Details

### The `“href”` property

      “href”                     gchar *

read-write gchar* HTMLBaseElement:href.

Flags: Read / Write

Default value: ""

### The `“target”` property

      “target”                   gchar *

read-write gchar* HTMLBaseElement:target.

Flags: Read / Write

Default value: ""